Package com.sas.metadata.remote

# Interface MetadataObjects

All Known Subinterfaces:
  `MdFactory`, `MdObjectStore`, `MdServerStore`

All Known Implementing Classes:
  `MdFactoryImpl`

public interface MetadataObjects
This interface defines the objects of the SAS Open Metadata Architecture model as constant variables. These should be used where you need a string representation of a metadata type. For example: PhysicalTable = MetadataObjects.PHYSICALTABLE.

These are generated to match the SAS Open Metadata Architecture Model.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABSTRACTEXTENSION`
  Model description of the metadata type:
  `static final String`
  `ABSTRACTJOB`
  Model description of the metadata type: A job is a set of processes that initiate a process or create an output such as a data store or output table.
  `static final String`
  `ABSTRACTPROMPT`
  Model description of the metadata type: The parent class for types used by the SAS Prompt Interface.
  `static final String`
  `ABSTRACTPROPERTY`
  Model description of the metadata type: Used to contain name/value pairs.
  `static final String`
  `ABSTRACTTRANSFORMATION`
  Model description of the metadata type: The parent type for transformation types.
  `static final String`
  `ACCESSCONTROL`
  Model description of the metadata type: An access control is an object that relates an identity and a permission to a resource in order to regulate access to the resource.
  `static final String`
  `ACCESSCONTROLENTRY`
  Model description of the metadata type: The AccessControlEntry metadata type is used to define an access control directly on a resource.
  `static final String`
  `ACCESSCONTROLTEMPLATE`
  Model description of the metadata type: The AccessControlTemplate (ACT) metadata type enables you to define a template of individual users, groups, and permissions that can be applied to multiple resources.
  `static final String`
  `ACTION`
  Model description of the metadata type: An action that will be performed when a stated condition is met.
  `static final String`
  `AGGREGATION`
  Model description of the metadata type: A summary of detail data that is stored with or referred to by a cube.
  `static final String`
  `ANALYTICCOLUMN`
  Model description of the metadata type: Contains analytic attributes to apply to a column.
  `static final String`
  `ANALYTICCONTEXT`
  Model description of the metadata type: References a location that has SAS analytic content.
  `static final String`
  `ANALYTICTABLE`
  Model description of the metadata type: Contains analytic attributes to apply to a table.
  `static final String`
  `APPLICATIONACTION`
  Model description of the metadata type: Represents a feature/action of an application.
  `static final String`
  `ARCHIVEENTRY`
  Model description of the metadata type: One of several metadata types used to describe the physical location of some form of content.
  `static final String`
  `ARCHIVEFILE`
  Model description of the metadata type: Represents an archive, such as a tar file or a zip file, which may contain entries.
  `static final String`
  `ASSOCIATIONPROPERTY`
  Model description of the metadata type: The SAS Metadata Model provides a Prototype metadata type to define templates that can be used to create metadata entities.
  `static final String`
  `ATTRIBUTEPROPERTY`
  Model description of the metadata type: The SAS Metadata Model provides a Prototype metadata type to define templates that can be used to create metadata entities.
  `static final String`
  `AUTHENTICATIONDOMAIN`
  Model description of the metadata type: Authentication domains provide logical groupings for resources and logins in a metadata repository.
  `static final String`
  `CALCULATEDMEASURE`
  Model description of the metadata type: In a dimension, a member whose value is derived from the values of other members.
  `static final String`
  `CALCULATEDMEMBER`
  Model description of the metadata type: Beginning in SAS 9.3, represents a new member in a dimension of a cube.
  `static final String`
  `CHANGE`
  Model description of the metadata type: This type is used by Change Mangement.
  `static final String`
  `CLASSIFIER`
  Model description of the metadata type: A classifier is an element that describes structural and behavioral features.
  `static final String`
  `CLASSIFIERMAP`
  Model description of the metadata type: Used to map any number of Classifier objects to any number of Classifier objects.
  `static final String`
  `COLUMN`
  Model description of the metadata type: Represents a column in a table, view, etc.
  `static final String`
  `COLUMNHIERARCHY`
  Model description of the metadata type: Used to assign columns to a hierarchy for the associated data table.
  `static final String`
  `COLUMNRANGE`
  Model description of the metadata type: Represents a range of columns.
  `static final String`
  `COMCONNECTION`
  Model description of the metadata type: Represents a COM connection.
  `static final String`
  `CONDITION`
  Model description of the metadata type: A condition that when met may activate an action or set of actions.
  `static final String`
  `CONDITIONACTIONSET`
  Model description of the metadata type: A set that contains the condition that must be met and the set of actions to be performed.
  `static final String`
  `CONDITIONALPRECEDENCE`
  Model description of the metadata type: The preceding and succeeding steps based on the stated condition.
  `static final String`
  `CONFIGUREDCOMPONENT`
  Model description of the metadata type: Installed software that has configuration information in addition to the licensing information.
  `static final String`
  `CONNECTION`
  Model description of the metadata type: Represents the information required to connect to a server.
  `static final String`
  `CONTENTLOCATION`
  Model description of the metadata type: The supertype for all types that provide location information.
  `static final String`
  `CONTENTTYPE`
  Model description of the metadata type: Describes the type of content contained in the associated object.
  `static final String`
  `CUBE`
  Model description of the metadata type: A logical set of data that is organized and structured in a hierarchical, multidimensional arrangement.
  `static final String`
  `CUSTOMASSOCIATION`
  Model description of the metadata type: Defines a custom association between any two metadata objects.
  `static final String`
  `DATABASECATALOG`
  Model description of the metadata type: A namespace for contained database schemas.
  `static final String`
  `DATABASESCHEMA`
  Model description of the metadata type: A relational schema that contains tables that are not in SAS data sets.
  `static final String`
  `DATASOURCENAME`
  Model description of the metadata type: Represents a data source name (DSN) that is a construct used by the SAS table server to identify a data source definition.
  `static final String`
  `DATATABLE`
  Model description of the metadata type: An abstract type that represents an object that contains a set of columns.
  `static final String`
  `DEPLOYEDCOMPONENT`
  Model description of the metadata type: An abstract metadata type that represents installed software.
  `static final String`
  `DEPLOYEDDATAPACKAGE`
  Model description of the metadata type: A container of data files (files that contain data) or other Deployed Data Packages.
  `static final String`
  `DEVICE`
  Model description of the metadata type: Describes location information for SAS Filerefs.
  `static final String`
  `DEVICETYPE`
  Model description of the metadata type: Defines a prototype for a specific supported device.
  `static final String`
  `DIMENSION`
  Model description of the metadata type: A group of closely related hierarchies.
  `static final String`
  `DIRECTORY`
  Model description of the metadata type: Represents a physical operating system path.
  `static final String`
  `DOCUMENT`
  Model description of the metadata type: A Document is a web page or other conent that contains documentation pertinent to the object to which this document is related.
  `static final String`
  `EMAIL`
  Model description of the metadata type: An e-mail address.
  `static final String`
  `EVENT`
  Model description of the metadata type: Describes a condition that occurs that drives other actions, ie. jobs, to be processed.
  `static final String`
  `EXTENSION`
  Model description of the metadata type: Extension enables end users and application developers to define additional attributes that are not part of an object's metadata type definition.
  `static final String`
  `EXTERNALIDENTITY`
  Model description of the metadata type: This is an ID associated with the object in some other context, such as a GUID or DN for LDAP .
  `static final String`
  `EXTERNALTABLE`
  Model description of the metadata type: Represents a table in an external data file.
  `static final String`
  `FAVORITESCONTAINER`
  Model description of the metadata type: Contains one or more links to an object that a user has marked as a favorite.
  `static final String`
  `FEATURE`
  Model description of the metadata type: A feature is a property that is encapsulated within a Classifier.
  `static final String`
  `FEATUREMAP`
  Model description of the metadata type: Used to map any number of Feature objects to any number of Feature objects.
  `static final String`
  `FILE`
  Model description of the metadata type: Represents a file in the file system.
  `static final String`
  `FITSTATISTIC`
  Model description of the metadata type: Usually a measure of the accuracy of a predicted value.
  `static final String`
  `FOREIGNKEY`
  Model description of the metadata type: Represents the fact that a table contains a foreign key to another table.
  `static final String`
  `GLOBALFORMULA`
  Model description of the metadata type: PROC OLAP and OLAP CUBE Studio enable users to define formulas for the dimensions of a cube that result in the creation of calculated members and named sets.
  `static final String`
  `GROUP`
  Model description of the metadata type: This type represents the ability to group metadata together.
  `static final String`
  `GROUPBYCLAUSE`
  Model description of the metadata type: DEPRECATED: Has an association to the columns used to group this data.
  `static final String`
  `HAVINGCLAUSE`
  Model description of the metadata type: DEPRECATED: Represents a Having clause in an SQL statement.
  `static final String`
  `HIERARCHY`
  Model description of the metadata type: An arrangement of members of a dimension into levels that are based on parent-child relationships.
  `static final String`
  `HIERARCHYLEVEL`
  Model description of the metadata type: Represents a level within one and only one hierarchy.
  `static final String`
  `IDENTITY`
  Model description of the metadata type: Identity - abstract class for objects that identify an entity.
  `static final String`
  `IDENTITYGROUP`
  Model description of the metadata type: Grouping mechanism for identity objects.
  `static final String`
  `INDEX`
  Model description of the metadata type: Represents an index on a physical structure.
  `static final String`
  `INTERNALLOGIN`
  Model description of the metadata type: Internal use only.
  `static final String`
  `ITCHANNEL`
  Model description of the metadata type: A content distribution center.
  `static final String`
  `ITCONTENTSUBSCRIBER`
  Model description of the metadata type: A subscriber profile for content subscribers.
  `static final String`
  `ITEVENTSUBSCRIBER`
  Model description of the metadata type: A subscriber profile for event subscribers.
  `static final String`
  `ITFILTER`
  Model description of the metadata type: A filter string is used to include or exclude content going to a specific subscriber.
  `static final String`
  `ITSUBSCRIBER`
  Model description of the metadata type: A subscriber profile is used to control how published content is delivered to a user.
  `static final String`
  `JFJOB`
  Model description of the metadata type: Represents a job that has been or will be scheduled in the LSF JobFlow.
  `static final String`
  `JOB`
  Model description of the metadata type: Groups transformation activities to be an actual runtime unit.
  `static final String`
  `JOIN`
  Model description of the metadata type: The output of a Join is limited to one JoinTable.
  `static final String`
  `JOINTABLE`
  Model description of the metadata type: DEPRECATED: Represents an instance of a join between two tables.
  `static final String`
  `KEY`
  Model description of the metadata type: Represents keys on tables.
  `static final String`
  `KEYASSOCIATION`
  Model description of the metadata type: Represents the relationship between two columns in a foreign key, unique key relationship.
  `static final String`
  `KEYWORD`
  Model description of the metadata type: The name attribute of this object is a single word that can be used to identify this object.
  `static final String`
  `LEVEL`
  Model description of the metadata type: An element of a dimension hierarchy.
  `static final String`
  `LOCALIZEDRESOURCE`
  Model description of the metadata type: Contains the localized values for a particular locale as defined by the LocalId attribute.
  `static final String`
  `LOCALIZEDTYPE`
  Model description of the metadata type: This is the abstract supertype for all of the types that have localized resources.
  `static final String`
  `LOCATION`
  Model description of the metadata type: This type represents a location that includes a type (is it a street address, or an office number), as well as address information (street, city, country).
  `static final String`
  `LOGICALCOLUMN`
  Model description of the metadata type: The supertype for Column, which is part of a relational table, and Measure, which is used with OLAP types.
  `static final String`
  `LOGICALSERVER`
  Model description of the metadata type: Used to define a homogeneous group of servers.
  `static final String`
  `LOGIN`
  Model description of the metadata type: Represents login information for a given user in a given authentication domain.
  `static final String`
  `MACHINE`
  Model description of the metadata type: Represents a physical machine.
  `static final String`
  `MEASURE`
  Model description of the metadata type: A special dimension that contains summarized numeric data values that are analyzed.
  `static final String`
  `MEMORY`
  Model description of the metadata type: Represents a result of a transformation that resides in memory on the server.
  `static final String`
  `MININGRESULT`
  Model description of the metadata type: Represents a SAS Enterprise Data Mining Model that is a formula or algorithm that computes outputs from inputs.
  `static final String`
  `NAMEDSERVICE`
  Model description of the metadata type: Describes the name of the service and how the name is used (as rebind, bind, or lookup).
  `static final String`
  `NAMEDSET`
  Model description of the metadata type: Beginning in SAS 9.3, represents a named set in dimension of a cube.
  `static final String`
  `NUMERICEXTENSION`
  Model description of the metadata type: This allows an application to create a numeric extension to any object.
  `static final String`
  `OLAPPROPERTY`
  Model description of the metadata type: An attribute associated with members of a given dimension level.
  `static final String`
  `OLAPSCHEMA`
  Model description of the metadata type: This is a grouping of Cubes accessible from a SAS OLAP server.
  `static final String`
  `OMA_MODEL_DESC`
  The description of the model
  `static final String`
  `OMA_MODEL_NAME`
  This is the name of the Metadata Model used in these classes.
  `static final String`
  `OMA_MODEL_VERSION`
  The version of the model in use in this jar
  `static final String`
  `ONCLAUSE`
  Model description of the metadata type: DEPRECATED: Represents an SQL ON clause.
  `static final String`
  `OPENCLIENTCONNECTION`
  Model description of the metadata type: An abstract type that represents the connection information needed by an open client to access a deployed component.
  `static final String`
  `ORDERBYCLAUSE`
  Model description of the metadata type: Has an association to columns used to order the data.
  `static final String`
  `PERMISSION`
  Model description of the metadata type: A permission represents an action that a user may attempt against a resource in the metadata server.
  `static final String`
  `PERMISSIONCONDITION`
  Model description of the metadata type: Stores an expression that is applied to conditionally grant a user or group access to a resource.
  `static final String`
  `PERSON`
  Model description of the metadata type: This type represents the information kept about a person.
  `static final String`
  `PHONE`
  Model description of the metadata type: A phone number and the type of phone number (home, office, mobile, fax).
  `static final String`
  `PHYSICALTABLE`
  Model description of the metadata type: A "materialized" table that resides in a database or a file system.
  `static final String`
  `PRIMARYTYPE`
  Model description of the metadata type: The PrimaryType subtypes are the starting point for modeling a logical metadata definition.
  `static final String`
  `PROMPT`
  Model description of the metadata type: For use by the SAS Prompt Interface.
  `static final String`
  `PROMPTGROUP`
  Model description of the metadata type: For use by the SAS Prompt Interface.
  `static final String`
  `PROPERTY`
  Model description of the metadata type: A parameter, option or other type of information that is used to tailor a metadata object.
  `static final String`
  `PROPERTYGROUP`
  Model description of the metadata type: Represents a group of properties.
  `static final String`
  `PROPERTYSET`
  Model description of the metadata type: A PropertySet contains a complete set of properties to be used by the OwningObject in a particular context.
  `static final String`
  `PROPERTYTYPE`
  Model description of the metadata type: Defines the data type of a property.
  `static final String`
  `PROTOTYPE`
  Model description of the metadata type: Used to create a template for creating other metadata objects or set of metadata objects that represent a concept.
  `static final String`
  `PROTOTYPEPROPERTY`
  Model description of the metadata type: This is the super type for types that define properties that are for prototype objects only.
  `static final String`
  `PSCOLUMNLAYOUTCOMPONENT`
  Model description of the metadata type: Provides the information needed to lay a PortalPage out in columns.
  `static final String`
  `PSLAYOUTCOMPONENT`
  Model description of the metadata type: A UI element that designates how Portlets should be laid out on a PortalPage.
  `static final String`
  `PSPORTALPAGE`
  Model description of the metadata type: A PortalPage gathers and displays information in the Portal, and can be customized.
  `static final String`
  `PSPORTALPROFILE`
  Model description of the metadata type: A SAS Information Delivery Portal user's portal information, which defines the basic functionality of the portal.
  `static final String`
  `PSPORTLET`
  Model description of the metadata type: A Web component that is managed by a Web application and that is aggregated with other portlets to form a page within the application.
  `static final String`
  `QUERYCLAUSE`
  Model description of the metadata type: This abstract type represents types that are used to define the transformations that are performed.
  `static final String`
  `QUERYTABLE`
  Model description of the metadata type: Result set of a query.
  `static final String`
  `RELATIONALSCHEMA`
  Model description of the metadata type: The abstract type that acts as the supertype for any type that can contain table objects.
  `static final String`
  `RELATIONALTABLE`
  Model description of the metadata type: Represents a relational table, one that does not have a physical representation.
  `static final String`
  `REPORT`
  Model description of the metadata type: Represents the result of data being transformed into a report.
  `static final String`
  `RESPONSIBLEPARTY`
  Model description of the metadata type: This metadata type associates a responsibility with an identity.
  `static final String`
  `ROLE`
  Model description of the metadata type: This object describes a role of of an object, and the context of the role.
  `static final String`
  `ROOT`
  Model description of the metadata type: This is an abstract type that is the supertype for all of the other metadata types.
  `static final String`
  `ROWSELECTOR`
  Model description of the metadata type: Used to document a SAS DATA step SELECT statement.
  `static final String`
  `SASCATALOG`
  Model description of the metadata type: Represents a SAS file that stores many different kinds of information in smaller units called catalog entries.
  `static final String`
  `SASCATALOGENTRY`
  Model description of the metadata type: Represents a separate storage unit within a SAS catalog.
  `static final String`
  `SASCLIENTCONNECTION`
  Model description of the metadata type: Represents the information needed by SAS software to connect to other servers.
  `static final String`
  `SASFILEREF`
  Model description of the metadata type: Represents a name temporarily assigned to an external file or to an aggregate storage location that identifies it to SAS.
  `static final String`
  `SASLIBRARY`
  Model description of the metadata type: Represents a SAS library.
  `static final String`
  `SASLICENSE`
  Model description of the metadata type: Used to document the setinit information for SAS products.
  `static final String`
  `SASPASSWORD`
  Model description of the metadata type: Represents the storage of SAS passwords for SAS tables or connections.
  `static final String`
  `SEARCH`
  Model description of the metadata type: This object is used to store information for search definitions.
  `static final String`
  `SECONDARYTYPE`
  Model description of the metadata type: The SecondaryType subtypes are used along with the PrimaryType subtypes to create a logical metadata definition for an object.
  `static final String`
  `SECUREDLIBRARY`
  Model description of the metadata type: A SecuredLibrary object is created for a SAS physical library when it is bound to metadata with the AUTHLIB procedure of SAS.
  `static final String`
  `SECUREDTABLE`
  Model description of the metadata type: A SecuredTable object is created for a physical SAS data set when a data set with the same name is first created in a metadata-bound library.
  `static final String`
  `SECURITYRULE`
  Model description of the metadata type: This is an abstract class from which other "SecurityRules" will derive.
  `static final String`
  `SECURITYRULESCHEME`
  Model description of the metadata type: This class is used to group SecurityRules into a unit.
  `static final String`
  `SECURITYTYPECONTAINMENTRULE`
  Model description of the metadata type: A SecurityTypeContainmentRule tells the authorization facility how to find parent objects for a particular metadata type.
  `static final String`
  `SELECT`
  Model description of the metadata type: Used to document an SQL select statement.
  `static final String`
  `SERVERCOMPONENT`
  Model description of the metadata type: Represents servers and spawners.
  `static final String`
  `SERVERCONTEXT`
  Model description of the metadata type: Used to define an application context for non-homogeneous group servers.
  `static final String`
  `SERVICECOMPONENT`
  Model description of the metadata type: Represents software that acts as a service.
  `static final String`
  `SERVICETYPE`
  Model description of the metadata type: The types of services available from a DeployedComponent.
  `static final String`
  `SHAREDDIMENSION`
  Model description of the metadata type: Shared dimension is contained by its schema and may be used by more than one cube.
  `static final String`
  `SOFTWARECOMPONENT`
  Model description of the metadata type: Used to define an application hierarchy.
  `static final String`
  `STEPPRECEDENCE`
  Model description of the metadata type: The preceding and succeeding steps in a process.
  `static final String`
  `STREAM`
  Model description of the metadata type: Represents a stream of data.
  `static final String`
  `SXLEMAP`
  Model description of the metadata type: Root node for SXLE map definition.
  `static final String`
  `SYNCSTEP`
  Model description of the metadata type: The SyncStep is used to define a part of workflow.
  `static final String`
  `TABLECOLLECTION`
  Model description of the metadata type: A classifier that defines a set of tables that all share the same characteristics but that should be treated as one classifer for display purposes.
  `static final String`
  `TARGET`
  Model description of the metadata type: Represents a variable whose values are known in one or more data sets that are available (in training data, for example) but whose values are unknown in one or more future data sets (in a score data set, for example).
  `static final String`
  `TCPIPCONNECTION`
  Model description of the metadata type: Contains information for making a TCP/IP connection to a server.
  `static final String`
  `TESTCAT`
  Model description of the metadata type: This is a testing class that contains no required attributes or associations
  `static final String`
  `TESTFLEA`
  Model description of the metadata type: Test0N
  `static final String`
  `TESTGRANDKITTEN`
  Model description of the metadata type:
  `static final String`
  `TESTKITTEN`
  Model description of the metadata type:
  `static final String`
  `TESTLEG`
  Model description of the metadata type: Test1N
  `static final String`
  `TESTMOUSE`
  Model description of the metadata type: Test01
  `static final String`
  `TESTREQATTRS`
  Model description of the metadata type: This type introduces required attributes
  `static final String`
  `TESTROOT`
  Model description of the metadata type: This is a testing class that contains no required attributes or associations
  `static final String`
  `TEXT`
  Model description of the metadata type: The superclass for files, SAS catalog entries and text stored in the repository itself.
  `static final String`
  `TEXTSTORE`
  Model description of the metadata type: Represents storing text in the repository.
  `static final String`
  `TIMESTAMP`
  Model description of the metadata type: This object contains a timestamp and the role of the timestamp.
  `static final String`
  `TRANSFORMATION`
  Model description of the metadata type: This type is used for generic transformations such as stored procedures.
  `static final String`
  `TRANSFORMATIONACTIVITY`
  Model description of the metadata type: TransformationActivity contains TransformationSteps.
  `static final String`
  `TRANSFORMATIONSTEP`
  Model description of the metadata type: TransformationStep contains mapping objects.
  `static final String`
  `TREE`
  Model description of the metadata type: This type represents a tree that is the root node for a hierarchy of groups of metadata.
  `static final String`
  `TSNAMEOBJECT`
  Model description of the metadata type: Table server name object.
  `static final String`
  `TSNAMESPACE`
  Model description of the metadata type: Table server namespace.
  `static final String`
  `TYPEDEFINITION`
  Model description of the metadata type: Type definition is used to describe members of the SAS type dictionary.
  `static final String`
  `UNIQUEKEY`
  Model description of the metadata type: A representation of the unique and primary keys of a table.
  `static final String`
  `UNITOFTIME`
  Model description of the metadata type: Unit of time.
  `static final String`
  `VARIABLE`
  Model description of the metadata type: Used to define substitution strings and the replacement values.
  `static final String`
  `WHERECLAUSE`
  Model description of the metadata type: DEPRECATED: Represents a Where SQL Clause.
  `static final String`
  `WORKTABLE`
  Model description of the metadata type: Represents a table that is created as part of running SAS code that is not intended to be persisted.
  `static final String`
  `XPATH`
  Model description of the metadata type: Used to describe an XPath location path.

- ## Field Details

  - ### OMA_MODEL_NAME

    static final String OMA_MODEL_NAME
    This is the name of the Metadata Model used in these classes.
    See Also:
      - Constant Field Values

  - ### OMA_MODEL_DESC

    static final String OMA_MODEL_DESC
    The description of the model
    See Also:
      - Constant Field Values

  - ### OMA_MODEL_VERSION

    static final String OMA_MODEL_VERSION
    The version of the model in use in this jar
    See Also:
      - Constant Field Values

  - ### ABSTRACTEXTENSION

    static final String ABSTRACTEXTENSION
    Model description of the metadata type:

    The SAS Metadata Model supports extensions to enable end users and application developers to define additional attributes that are not part of an object's metadata type definition. Two types of extended attributes are supported:

  - end user-defined attributes

  - application-specific attributes

  An example of a user-defined extended attribute is an attribute that is defined in the Extended Properties tab of a SASLibrary or Table object in SAS Management Console. Any attribute defined in this tab can be viewed and modified by any user who is authorized to view and modify the library or table resource. An example of an application-specific extended attribute is a SortType attribute on a Column. If the data in a column's source table is stored chronologically and an application has a need to access the data alphabetically, then the SortType attribute can specify how the application should rearrange or request the data from the data store.

  AbstractExtension is the supertype for describing end user-defined attributes. As a supertype, it defines attributes that are common to the Extension and NumericExtension metadata types and should not be instantiated. The SAS Metadata Model requires that you distinguish between character and numeric attributes when defining end-user attributes. Use the Extension metadata type to define attributes that store character values. Use the NumericExtension metadata type to define attributes that store numeric values.

  Extensions are provided for end-users to extend a metadata type and should be supported by all top-level objects in a UI.

  Application-specific attributes are defined by using the AbstractProperty and Property metadata types.

See Also:
  - Constant Field Values

- ### ABSTRACTJOB

  static final String ABSTRACTJOB
  Model description of the metadata type: A job is a set of processes that initiate a process or create an output such as a data store or output table. A given job can produce a single output or multiple outputs. In addition, jobs can be scheduled.

  As a supertype, the AbstractJob metadata type defines metadata that is common to all metadata types that define a job and should not be instantiated. When actually defining a job, use the Job metadata type and follow the recommendations for other metadata types provided in the documentation for the feature for which you want to create metadata. For instance, if you want to create a job for the LSF Scheduler, read the documentation for the scheduler.
  See Also:
    - Constant Field Values

- ### ABSTRACTPROMPT

  static final String ABSTRACTPROMPT
  Model description of the metadata type: The parent class for types used by the SAS Prompt Interface.
  See Also:
    - Constant Field Values

- ### ABSTRACTPROPERTY

  static final String ABSTRACTPROPERTY
  Model description of the metadata type: Used to contain name/value pairs.

  The AbstractProperty metadata type defines attributes and associations that are common to all of the property types; however, as a supertype, it should not be instantiated. When defining a metadata object to contain an actual name/value pair, use the Property metadata type or one of the other property metadata types, depending on the usage goal.

  See Also:
    - Constant Field Values

- ### ABSTRACTTRANSFORMATION

  static final String ABSTRACTTRANSFORMATION
  Model description of the metadata type: The parent type for transformation types. Transformation types are used to document transformation of data. This includes extraction, transformation, and loading of data, stored procedures, and logical to physical mappings. AbstractTransformation is a supertype that defines common attributes and associations that are shared by metadata types that describe the steps and activities in the transformation process.

  This metadata type should not be instantiated. Instead, use the appropriate subtype to represent the steps and activities in a transformation.
  See Also:
    - Constant Field Values

- ### ACCESSCONTROL

  static final String ACCESSCONTROL
  Model description of the metadata type: An access control is an object that relates an identity and a permission to a resource in order to regulate access to the resource. The SAS Open Metadata Architecture authorization facility uses the information in access controls to return authorization decisions on resource requests.

  The SAS Metadata Model defines two basic types of access controls: AccessControlEntry, which associates identities and permissions directly with a resource; and AccessControlTemplate, which enables users to define a template of identities and permissions that can be applied to multiple resources. AccessControl is a supertype and should not be instantiated. When defining an actual access control, use the AccessControlEntry and AccessControlTemplate metadata types.

  AccessControl objects should not be explicitly created or deleted. Access controls are managed programmatically using the SAS Open Metadata Interface ISecurityAdmin method class, which is documented in the SAS 9.2 Open Metadata Interface: Reference and Usage. The ISecurityAdmin class provides methods for defining and managing direct access controls as well as access control templates.

  See Also:
    - Constant Field Values

- ### ACCESSCONTROLENTRY

  static final String ACCESSCONTROLENTRY
  Model description of the metadata type: The AccessControlEntry metadata type is used to define an access control directly on a resource. The access control is stored with the resource definition and is unique to that resource. That is, the AccessControlEntry (ACE) cannot be applied to another metadata object.

  An ACE can specify permissions for both individual users and for groups. If a given identity is referenced more than once in the ACE, for example, both directly and by virtue of membership in one or more groups, the permission assigned directly to the identity will take precedence.

  When the SAS Open Metadata Architecture authorization facility evaluates access controls, a permission assigned in an ACE will take precedence over a permission assigned in an AccessConrolTemplate (ACT). A resource-specific access control also takes precedence over any inherited access controls and permissions assigned in the Repository ACT.

  An ACE should not be explicitly created or deleted. Access controls are managed programmatically using the SAS Open Metadata Interface ISecurityAdmin server interface, which is documented in the SAS 9.2 Open Metadata Interface: Reference and Usage. ISecurityAdmin provides methods for defining and managing direct access controls as well as access control templates.

  See Also:
    - Constant Field Values

- ### ACCESSCONTROLTEMPLATE

  static final String ACCESSCONTROLTEMPLATE
  Model description of the metadata type: The AccessControlTemplate (ACT) metadata type enables you to define a template of individual users, groups, and permissions that can be applied to multiple resources. This template is stored as an independent resource that can be associated with other resources. Use this metadata type when you want to confer the same set of authorizations on multiple resources. Because an ACT is independent of the resources that it controls, it is also easy to maintain when an update is needed. Any change that you make to the ACT will be enforced on all resources that reference the ACT.

  An ACT should not be explicitly created or deleted. ACTs are managed programmatically using the SAS Open Metadata Interface ISecurityAdmin method class, which is documented in the SAS 9.2 Open Metadata Interface: Reference and Usage. The ISecurityAdmin class provides methods for defining and managing direct access controls as well as access control templates.

  See Also:
    - Constant Field Values

- ### ACTION

  static final String ACTION
  Model description of the metadata type: An action that will be performed when a stated condition is met.
  See Also:
    - Constant Field Values

- ### AGGREGATION

  static final String AGGREGATION
  Model description of the metadata type: A summary of detail data that is stored with or referred to by a cube. Aggregations support rapid and efficient answers to business questions. Developers are discouraged from creating or consuming Cube metadata directly with the SAS Open Metadata Interface. Instead, Cubes should be defined by using either SAS OLAP Cube Studio or PROC OLAP. For more information, see the documentation for SAS OLAP Cube Studio and PROC OLAP.
  See Also:
    - Constant Field Values

- ### ANALYTICCOLUMN

  static final String ANALYTICCOLUMN
  Model description of the metadata type: Contains analytic attributes to apply to a column. These attributes include information such as upper and lower limits, and cost of acquiring a variable, level, and distribution. Used by SAS Enterprise Miner.
  See Also:
    - Constant Field Values

- ### ANALYTICCONTEXT

  static final String ANALYTICCONTEXT
  Model description of the metadata type: References a location that has SAS analytic content. An associated server context should be a SAS server that can reference this location and interpret the content.

  Directory role should be set. See directory for a list of possible roles.
  See Also:
    - Constant Field Values

- ### ANALYTICTABLE

  static final String ANALYTICTABLE
  Model description of the metadata type: Contains analytic attributes to apply to a table. These attributes include information such as the sampling rate and a description of the group of observations in this table. Used by SAS Enterprise Miner.
  See Also:
    - Constant Field Values

- ### APPLICATIONACTION

  static final String APPLICATIONACTION
  Model description of the metadata type: Represents a feature/action of an application. These are used in conjunction with Roles (IdentityGroup objects with a type of Role) to control which application features are made available to different users. Application actions are designed by applications and created by them during installation and/or configuration. The user manager can be used to create roles and manage user access to those features. Since applications are designed to respond only to certain actions there is no need for users to explicitly create their own application actions.
  See Also:
    - Constant Field Values

- ### ARCHIVEENTRY

  static final String ARCHIVEENTRY
  Model description of the metadata type: One of several metadata types used to describe the physical location of some form of content. ArchiveEntry describes a unit of content in an archive file.
  See Also:
    - Constant Field Values

- ### ARCHIVEFILE

  static final String ARCHIVEFILE
  Model description of the metadata type: Represents an archive, such as a tar file or a zip file, which may contain entries. It is one of several metadata types used to describe the physical location of some form of content.
  See Also:
    - Constant Field Values

- ### ASSOCIATIONPROPERTY

  static final String ASSOCIATIONPROPERTY
  Model description of the metadata type: The SAS Metadata Model provides a Prototype metadata type to define templates that can be used to create metadata entities. The AssociationProperty metadata type is used with other prototype objects to define the associations that are needed in a given scenario.
  See Also:
    - Constant Field Values

- ### ATTRIBUTEPROPERTY

  static final String ATTRIBUTEPROPERTY
  Model description of the metadata type: The SAS Metadata Model provides a Prototype metadata type to define templates that can be used to create metadata entities. The AttributeProperty metadata type is used with other prototype objects to define the attributes and the values that are needed in a given scenario.
  See Also:
    - Constant Field Values

- ### AUTHENTICATIONDOMAIN

  static final String AUTHENTICATIONDOMAIN
  Model description of the metadata type: Authentication domains provide logical groupings for resources and logins in a metadata repository. An individual uses the same user ID and password for all of the resources in a particular authentication domain. For example, when an application needs to locate credentials that enable a particular user to access a particular server, the application searches the metadata for logins that are associated with the authentication domain in that the target server is registered.
  See Also:
    - Constant Field Values

- ### CALCULATEDMEASURE

  static final String CALCULATEDMEASURE
  Model description of the metadata type: In a dimension, a member whose value is derived from the values of other members.
  See Also:
    - Constant Field Values

- ### CALCULATEDMEMBER

  static final String CALCULATEDMEMBER
  Model description of the metadata type: Beginning in SAS 9.3, represents a new member in a dimension of a cube. A CalculatedMember object is required to have an association to a Hierarchy object and supports an optional association to a Level object in addition to having an association to the owning Cube object. If the associated Hierarchy object is deleted, the CalculatedMember is deleted as well.
  See Also:
    - Constant Field Values

- ### CHANGE

  static final String CHANGE
  Model description of the metadata type: This type is used by Change Mangement. Change represents the identity who made the change and is associated to all objects checked back into a repository.
  See Also:
    - Constant Field Values

- ### CLASSIFIER

  static final String CLASSIFIER
  Model description of the metadata type: A classifier is an element that describes structural and behavioral features.

  In the metadata model, a Classifier may declare a collection of Features. Classifier is an abstract metadata class.
  See Also:
    - Constant Field Values

- ### CLASSIFIERMAP

  static final String CLASSIFIERMAP
  Model description of the metadata type: Used to map any number of Classifier objects to any number of Classifier objects.
  See Also:
    - Constant Field Values

- ### COLUMN

  static final String COLUMN
  Model description of the metadata type: Represents a column in a table, view, etc.
  See Also:
    - Constant Field Values

- ### COLUMNHIERARCHY

  static final String COLUMNHIERARCHY
  Model description of the metadata type: Used to assign columns to a hierarchy for the associated data table.
  See Also:
    - Constant Field Values

- ### COLUMNRANGE

  static final String COLUMNRANGE
  Model description of the metadata type: Represents a range of columns.
  See Also:
    - Constant Field Values

- ### COMCONNECTION

  static final String COMCONNECTION
  Model description of the metadata type: Represents a COM connection.

  The communication and application protocol attributes should be set to "COM".
  See Also:
    - Constant Field Values

- ### CONDITION

  static final String CONDITION
  Model description of the metadata type: A condition that when met may activate an action or set of actions.
  See Also:
    - Constant Field Values

- ### CONDITIONACTIONSET

  static final String CONDITIONACTIONSET
  Model description of the metadata type: A set that contains the condition that must be met and the set of actions to be performed.
  See Also:
    - Constant Field Values

- ### CONDITIONALPRECEDENCE

  static final String CONDITIONALPRECEDENCE
  Model description of the metadata type: The preceding and succeeding steps based on the stated condition.
  See Also:
    - Constant Field Values

- ### CONFIGUREDCOMPONENT

  static final String CONFIGUREDCOMPONENT
  Model description of the metadata type: Installed software that has configuration information in addition to the licensing information.
  See Also:
    - Constant Field Values

- ### CONNECTION

  static final String CONNECTION
  Model description of the metadata type: Represents the information required to connect to a server. It is associated with the deployed component, i.e. server, that can be accessed using the connection information. It may also be associated with the deployed components that can use the connection information to access the server..
  See Also:
    - Constant Field Values

- ### CONTENTLOCATION

  static final String CONTENTLOCATION
  Model description of the metadata type: The supertype for all types that provide location information.
  See Also:
    - Constant Field Values

- ### CONTENTTYPE

  static final String CONTENTTYPE
  Model description of the metadata type: Describes the type of content contained in the associated object. This will allow application that deliver content to determine if content may be displayed and/or the best way to display the content.
  See Also:
    - Constant Field Values

- ### CUBE

  static final String CUBE
  Model description of the metadata type: A logical set of data that is organized and structured in a hierarchical, multidimensional arrangement. A cube is a directory structure, not a single file. A cube includes measures, and it can have numerous dimensions and levels of data.
  See Also:
    - Constant Field Values

- ### CUSTOMASSOCIATION

  static final String CUSTOMASSOCIATION
  Model description of the metadata type: Defines a custom association between any two metadata objects.
  See Also:
    - Constant Field Values

- ### DATABASECATALOG

  static final String DATABASECATALOG
  Model description of the metadata type: A namespace for contained database schemas.
  See Also:
    - Constant Field Values

- ### DATABASESCHEMA

  static final String DATABASESCHEMA
  Model description of the metadata type: A relational schema that contains tables that are not in SAS data sets. In order to use a SAS application server to access the tables in a database schema, the tables must also be registered with a SAS library.
  See Also:
    - Constant Field Values

- ### DATASOURCENAME

  static final String DATASOURCENAME
  Model description of the metadata type: Represents a data source name (DSN) that is a construct used by the SAS table server to identify a data source definition. A data source definition specifies how to locate and access a data source, including any authentication (such as a user name and password) that a user must supply in order to access the data and any properties used to connect to a particular data source or data sources. By using a DSN, a user can avoid specifying connection parameters to connect to a data source. An administrator can also configure a data source, determine the level of security, and share the DSN with others.
  See Also:
    - Constant Field Values

- ### DATATABLE

  static final String DATATABLE
  Model description of the metadata type: An abstract type that represents an object that contains a set of columns. When creating metadata, use the subtype of DataTable that best describes the entity that you want to represent.
  See Also:
    - Constant Field Values

- ### DEPLOYEDCOMPONENT

  static final String DEPLOYEDCOMPONENT
  Model description of the metadata type: An abstract metadata type that represents installed software. This software might or might not be licensed as indicated by the IsLicensed attribute. When creating metadata, use the subtype that best represents the software that you want to describe. ConfiguredComponent represents software that is configured to run, such as Java components or customizers. ServiceComponent represents software that acts as a service. ServerComponent represents servers and spawners. LogicalServer represents a grouping of homogeneous servers for the purpose of load balancing or pooling.
  See Also:
    - Constant Field Values

- ### DEPLOYEDDATAPACKAGE

  static final String DEPLOYEDDATAPACKAGE
  Model description of the metadata type: A container of data files (files that contain data) or other Deployed Data Packages. This type has associations with DeployedComponents that can access the package. This type could be a directory, a database catalog or schema or a SAS library.

  Database schemas and catalogs should be associated with the DBMS that provides access to those packages.
  See Also:
    - Constant Field Values

- ### DEVICE

  static final String DEVICE
  Model description of the metadata type: Describes location information for SAS Filerefs.
  See Also:
    - Constant Field Values

- ### DEVICETYPE

  static final String DEVICETYPE
  Model description of the metadata type: Defines a prototype for a specific supported device.
  See Also:
    - Constant Field Values

- ### DIMENSION

  static final String DIMENSION
  Model description of the metadata type: A group of closely related hierarchies. Hierarchies within a dimension typically represent different groupings of information that pertains to a single concept. For example, a Time dimension might consist of two hierarchies: (1) Year, Month, Date, and (2) Year, Week, Day. See also hierarchy.
  See Also:
    - Constant Field Values

- ### DIRECTORY

  static final String DIRECTORY
  Model description of the metadata type: Represents a physical operating system path. Directory objects should not be shared by logical metadata definitions. Each logical metadata definition should define its own Directory object.
  See Also:
    - Constant Field Values

- ### DOCUMENT

  static final String DOCUMENT
  Model description of the metadata type: A Document is a web page or other conent that contains documentation pertinent to the object to which this document is related.
  See Also:
    - Constant Field Values

- ### EMAIL

  static final String EMAIL
  Model description of the metadata type: An e-mail address.
  See Also:
    - Constant Field Values

- ### EVENT

  static final String EVENT
  Model description of the metadata type: Describes a condition that occurs that drives other actions, ie. jobs, to be processed.
  See Also:
    - Constant Field Values

- ### EXTENSION

  static final String EXTENSION
  Model description of the metadata type: Extension enables end users and application developers to define additional attributes that are not part of an object's metadata type definition. Use the Extension metadata type to define attributes that store character values.
  See Also:
    - Constant Field Values

- ### EXTERNALIDENTITY

  static final String EXTERNALIDENTITY
  Model description of the metadata type: This is an ID associated with the object in some other context, such as a GUID or DN for LDAP .
  See Also:
    - Constant Field Values

- ### EXTERNALTABLE

  static final String EXTERNALTABLE
  Model description of the metadata type: Represents a table in an external data file.
  See Also:
    - Constant Field Values

- ### FAVORITESCONTAINER

  static final String FAVORITESCONTAINER
  Model description of the metadata type: Contains one or more links to an object that a user has marked as a favorite.
  See Also:
    - Constant Field Values

- ### FEATURE

  static final String FEATURE
  Model description of the metadata type: A feature is a property that is encapsulated within a Classifier.

  In the metadata model, a Feature declares a structural or behavioral characteristic of an instance of a Classifier or of the Classifier itself. Feature is an abstract metadata class.
  See Also:
    - Constant Field Values

- ### FEATUREMAP

  static final String FEATUREMAP
  Model description of the metadata type: Used to map any number of Feature objects to any number of Feature objects.
  See Also:
    - Constant Field Values

- ### FILE

  static final String FILE
  Model description of the metadata type: Represents a file in the file system.
  See Also:
    - Constant Field Values

- ### FITSTATISTIC

  static final String FITSTATISTIC
  Model description of the metadata type: Usually a measure of the accuracy of a predicted value. Maybe a measure of the accuracy/performance of the model. Used by SAS Enterprise Miner.
  See Also:
    - Constant Field Values

- ### FOREIGNKEY

  static final String FOREIGNKEY
  Model description of the metadata type: Represents the fact that a table contains a foreign key to another table.
  See Also:
    - Constant Field Values

- ### GLOBALFORMULA

  static final String GLOBALFORMULA
  Model description of the metadata type: PROC OLAP and OLAP CUBE Studio enable users to define formulas for the dimensions of a cube that result in the creation of calculated members and named sets. In SAS 9.2, the GlobalFormula metadata type was used to store the formula that created the calculated member or named set. In SAS 9.3, it was decided that this modeling was not sufficient to enable the object to refer back to the dimension, hierarchy, or level to which the calculated member or named set belongs. Therefore, the GlobalFormula metadata type was changed to an abstract type, and the CalculatedMember and NamedSet metadata types were introduced. The new metadata types are used in cubes that have a UsageVersion of 5.0 or higher. The CONVERT option of PROC OLAP can be used to change a 4.0 cube to a 5.0 cube. A 4.0 cube is also converted to a 5.0 cube by OLAP CUBE Studio when a shared dimension is added to the 4.0 cube. For more information, see CalculatedMember and NamedSet.
  See Also:
    - Constant Field Values

- ### GROUP

  static final String GROUP
  Model description of the metadata type: This type represents the ability to group metadata together.
  See Also:
    - Constant Field Values

- ### GROUPBYCLAUSE

  static final String GROUPBYCLAUSE
  Model description of the metadata type: DEPRECATED: Has an association to the columns used to group this data.
  See Also:
    - Constant Field Values

- ### HAVINGCLAUSE

  static final String HAVINGCLAUSE
  Model description of the metadata type: DEPRECATED: Represents a Having clause in an SQL statement.
  See Also:
    - Constant Field Values

- ### HIERARCHY

  static final String HIERARCHY
  Model description of the metadata type: An arrangement of members of a dimension into levels that are based on parent-child relationships. Members of a hierarchy are arranged from more general to more specific. For example, in a Time dimension, a hierarchy might consist of the members Year, Quarter, Month, and Day. In a Geography dimension, a hierarchy might consist of the members Country, State or Province, and City. More than one hierarchy can be defined for a dimension. Each hierarchy provides a navigational path that enables users to drill down to increasing levels of detail. See also CalculatedMember, Level.
  See Also:
    - Constant Field Values

- ### HIERARCHYLEVEL

  static final String HIERARCHYLEVEL
  Model description of the metadata type: Represents a level within one and only one hierarchy. A level may participate in multiple heirarchies as represented by the levels association to HierarchyLevel objects. A HierachyLevel object is not deleted when a level is deleted, OLAP will instead collapse the hierarchy if the associated level object is not found.
  See Also:
    - Constant Field Values

- ### IDENTITY

  static final String IDENTITY
  Model description of the metadata type: Identity - abstract class for objects that identify an entity.
  See Also:
    - Constant Field Values

- ### IDENTITYGROUP

  static final String IDENTITYGROUP
  Model description of the metadata type: Grouping mechanism for identity objects. A IdentityGroup may also be a member of another IdentityGroup
  See Also:
    - Constant Field Values

- ### INDEX

  static final String INDEX
  Model description of the metadata type: Represents an index on a physical structure. It is tied to the columns that make up the index.
  See Also:
    - Constant Field Values

- ### INTERNALLOGIN

  static final String INTERNALLOGIN
  Model description of the metadata type: Internal use only.
  See Also:
    - Constant Field Values

- ### ITCHANNEL

  static final String ITCHANNEL
  Model description of the metadata type: A content distribution center. A channel is sort of like a mailing list. A list of subscriber entries is maintined, and new content can be published to that list. It's also a content access point that aggregates published content with a common subject or intended for a common audience.
  See Also:
    - Constant Field Values

- ### ITCONTENTSUBSCRIBER

  static final String ITCONTENTSUBSCRIBER
  Model description of the metadata type: A subscriber profile for content subscribers.
  See Also:
    - Constant Field Values

- ### ITEVENTSUBSCRIBER

  static final String ITEVENTSUBSCRIBER
  Model description of the metadata type: A subscriber profile for event subscribers.
  See Also:
    - Constant Field Values

- ### ITFILTER

  static final String ITFILTER
  Model description of the metadata type: A filter string is used to include or exclude content going to a specific subscriber. It can be used to filter entries in a package, or the entire package.
  See Also:
    - Constant Field Values

- ### ITSUBSCRIBER

  static final String ITSUBSCRIBER
  Model description of the metadata type: A subscriber profile is used to control how published content is delivered to a user. Typical delivery mechanisms are mail, message queue or none. None is used by Portal users who will check the channel for new archived packages and view them on demand, rather than having them delivered at publication time.
  See Also:
    - Constant Field Values

- ### JFJOB

  static final String JFJOB
  Model description of the metadata type: Represents a job that has been or will be scheduled in the LSF JobFlow.
  See Also:
    - Constant Field Values

- ### JOB

  static final String JOB
  Model description of the metadata type: Groups transformation activities to be an actual runtime unit.
  See Also:
    - Constant Field Values

- ### JOIN

  static final String JOIN
  Model description of the metadata type: The output of a Join is limited to one JoinTable. A Join may have at most two inputs. A Join may not exist without a Select. For nested joins a Join should be documented for each pair of joined tables. For example: Table1 is joined to Table2 that results in JoinTable1. JoinTable1 is then joined with Table3 to create JoinTable2. JoinTable2 now acts as in input into a Select that documents the rows and columns that are to be included in the final output table.
  See Also:
    - Constant Field Values

- ### JOINTABLE

  static final String JOINTABLE
  Model description of the metadata type: DEPRECATED: Represents an instance of a join between two tables. This is used in the process submodel.
  See Also:
    - Constant Field Values

- ### KEY

  static final String KEY
  Model description of the metadata type: Represents keys on tables.
  See Also:
    - Constant Field Values

- ### KEYASSOCIATION

  static final String KEYASSOCIATION
  Model description of the metadata type: Represents the relationship between two columns in a foreign key, unique key relationship. For example, if table a has a unique key of columns a1 and a2, and table b has a foreign key, of columns b1 and b2, into table a, there is a keyassociation between the columns that relate to each other, for ex. b1 to a1 and b2 to a2.
  See Also:
    - Constant Field Values

- ### KEYWORD

  static final String KEYWORD
  Model description of the metadata type: The name attribute of this object is a single word that can be used to identify this object.
  See Also:
    - Constant Field Values

- ### LEVEL

  static final String LEVEL
  Model description of the metadata type: An element of a dimension hierarchy. Levels describe the dimension from the highest (most summarized) level to the lowest (most detailed) level. For example, possible levels for a Geography dimension are Country, Region, State or Province, and City.
  See Also:
    - Constant Field Values

- ### LOCALIZEDRESOURCE

  static final String LOCALIZEDRESOURCE
  Model description of the metadata type: Contains the localized values for a particular locale as defined by the LocalId attribute. Locale information contained in the LocalizedResource is used when displaying information contained in the associated LocalizedObject. The Value attribute contains the localized version of the value for the property specified by the Name attribute.
  See Also:
    - Constant Field Values

- ### LOCALIZEDTYPE

  static final String LOCALIZEDTYPE
  Model description of the metadata type: This is the abstract supertype for all of the types that have localized resources.
  See Also:
    - Constant Field Values

- ### LOCATION

  static final String LOCATION
  Model description of the metadata type: This type represents a location that includes a type (is it a street address, or an office number), as well as address information (street, city, country).
  See Also:
    - Constant Field Values

- ### LOGICALCOLUMN

  static final String LOGICALCOLUMN
  Model description of the metadata type: The supertype for Column, which is part of a relational table, and Measure, which is used with OLAP types.
  See Also:
    - Constant Field Values

- ### LOGICALSERVER

  static final String LOGICALSERVER
  Model description of the metadata type: Used to define a homogeneous group of servers.
  See Also:
    - Constant Field Values

- ### LOGIN

  static final String LOGIN
  Model description of the metadata type: Represents login information for a given user in a given authentication domain.
  See Also:
    - Constant Field Values

- ### MACHINE

  static final String MACHINE
  Model description of the metadata type: Represents a physical machine.
  See Also:
    - Constant Field Values

- ### MEASURE

  static final String MEASURE
  Model description of the metadata type: A special dimension that contains summarized numeric data values that are analyzed. Total Sales and Average Revenue are examples of measures. For example, you might drill down within the Clothing hierarchy of the Product dimension to see the value of the Total Sales measure for the Shirts member.
  See Also:
    - Constant Field Values

- ### MEMORY

  static final String MEMORY
  Model description of the metadata type: Represents a result of a transformation that resides in memory on the server.
  See Also:
    - Constant Field Values

- ### MININGRESULT

  static final String MININGRESULT
  Model description of the metadata type: Represents a SAS Enterprise Data Mining Model that is a formula or algorithm that computes outputs from inputs. A data mining model includes information about the conditional distribution of the target variables, given the input variables.
  See Also:
    - Constant Field Values

- ### NAMEDSERVICE

  static final String NAMEDSERVICE
  Model description of the metadata type: Describes the name of the service and how the name is used (as rebind, bind, or lookup). This type is associated to one DeployedComponent that is being named, and to (possibly multiple) DeployedComponents that provide a naming service.
  See Also:
    - Constant Field Values

- ### NAMEDSET

  static final String NAMEDSET
  Model description of the metadata type: Beginning in SAS 9.3, represents a named set in dimension of a cube. A NamedSet object can be associated with one or many Hierarchy objects, in addition to the owning Cube.
  See Also:
    - Constant Field Values

- ### NUMERICEXTENSION

  static final String NUMERICEXTENSION
  Model description of the metadata type: This allows an application to create a numeric extension to any object.
  See Also:
    - Constant Field Values

- ### OLAPPROPERTY

  static final String OLAPPROPERTY
  Model description of the metadata type: An attribute associated with members of a given dimension level. It is a feature of a Dimension, and can associated with a Level, and to a Column through a FeatureMap.
  See Also:
    - Constant Field Values

- ### OLAPSCHEMA

  static final String OLAPSCHEMA
  Model description of the metadata type: This is a grouping of Cubes accessible from a SAS OLAP server.
  See Also:
    - Constant Field Values

- ### ONCLAUSE

  static final String ONCLAUSE
  Model description of the metadata type: DEPRECATED: Represents an SQL ON clause.
  See Also:
    - Constant Field Values

- ### OPENCLIENTCONNECTION

  static final String OPENCLIENTCONNECTION
  Model description of the metadata type: An abstract type that represents the connection information needed by an open client to access a deployed component.
  See Also:
    - Constant Field Values

- ### ORDERBYCLAUSE

  static final String ORDERBYCLAUSE
  Model description of the metadata type: Has an association to columns used to order the data.
  See Also:
    - Constant Field Values

- ### PERMISSION

  static final String PERMISSION
  Model description of the metadata type: A permission represents an action that a user may attempt against a resource in the metadata server. Permission objects are created in pairs within the metadata server. One instance will have its Type attribute set to "GRANT", the other will have Type= "DENY".

  A Permission object is associated with a resource by defining an access control. The access control relates the Permission object and one or more identities with the resource on which the permission is being applied.

  Permission objects should not be explicitly created or deleted. Permissions that are enforced by SAS programs are defined for you by the system. Access controls are managed programmatically using the SAS Open Metadata Interface ISecurityAdmin method class, which is documented in the SAS 9.2 Open Metadata Interface: Reference and Usage. The ISecurityAdmin class provides methods for defining and managing direct access controls as well as access control templates.

  See Also:
    - Constant Field Values

- ### PERMISSIONCONDITION

  static final String PERMISSIONCONDITION
  Model description of the metadata type: Stores an expression that is applied to conditionally grant a user or group access to a resource. The syntax of the expression is not explicitly defined as it varies depending on the resource to which it applies. PermissionCondition objects should not be explicitly created or deleted. PermissionCondition objects are created for you by the authorization tab as appropriate.
  See Also:
    - Constant Field Values

- ### PERSON

  static final String PERSON
  Model description of the metadata type: This type represents the information kept about a person.
  See Also:
    - Constant Field Values

- ### PHONE

  static final String PHONE
  Model description of the metadata type: A phone number and the type of phone number (home, office, mobile, fax).
  See Also:
    - Constant Field Values

- ### PHYSICALTABLE

  static final String PHYSICALTABLE
  Model description of the metadata type: A "materialized" table that resides in a database or a file system.
  See Also:
    - Constant Field Values

- ### PRIMARYTYPE

  static final String PRIMARYTYPE
  Model description of the metadata type: The PrimaryType subtypes are the starting point for modeling a logical metadata definition. When the logical metadata definition models an object that is managed by the SAS type dictionary, the PublicType= attribute must be set to indicate the type of object.

  Logical metadata definitions that are managed by the dictionary are copied, deleted, moved, and secured as a unit, and are usually contained in a folder. Some PrimaryType subtypes may be embedded in a logical metadata definition; these are considered components. A component may be secured apart from the containing object. For example, a column may have security different from the containing table. A component is copied, deleted, and secured with its containing object, but can also be copied, deleted, and secured apart from the containing object. All other SAS Metadata Model metadata types are SecondaryType subtypes. SecondaryType subtypes may not reside in a folder and are always contained, directly or indirectly, by a PrimaryType subtype. SecondaryType objects may not be shared by logical metadata definitions.

  See Also:
    - Constant Field Values

- ### PROMPT

  static final String PROMPT
  Model description of the metadata type: For use by the SAS Prompt Interface. The SAS Prompt Interface allows prompts to be defined as either shared or private. A private prompt is visible and used only by the prompt enabled object and may reference a shared prompt. A shared prompt is a prompt that is publicly visible and may be used by multiple objects. A prompt will be either associated to a single metadata object or, if acting as a shared prompt, a member ofa SAS Folder.
  See Also:
    - Constant Field Values

- ### PROMPTGROUP

  static final String PROMPTGROUP
  Model description of the metadata type: For use by the SAS Prompt Interface. A prompt group will be either associated to a single metadata object or, if acting as a shared prompt group, a member of the SAS tree.
  See Also:
    - Constant Field Values

- ### PROPERTY

  static final String PROPERTY
  Model description of the metadata type: A parameter, option or other type of information that is used to tailor a metadata object.
  See Also:
    - Constant Field Values

- ### PROPERTYGROUP

  static final String PROPERTYGROUP
  Model description of the metadata type: Represents a group of properties. The properties that are part of this group are associated using the GroupedProperties association.
  See Also:
    - Constant Field Values

- ### PROPERTYSET

  static final String PROPERTYSET
  Model description of the metadata type: A PropertySet contains a complete set of properties to be used by the OwningObject in a particular context. The properties that are part of this set are associated using the SetProperties association. Additional information regarding the charateristics or context of the PropertySet is modeled using the Properties association. Note that Properties extend the PropertySet and SetProperties are the set of Properties that extend the OwningObject.
  See Also:
    - Constant Field Values

- ### PROPERTYTYPE

  static final String PROPERTYTYPE
  Model description of the metadata type: Defines the data type of a property. Beginning with SAS 9.2, PropertyType is no longer a shared resource; instead, it is contained by the Property object that it helps to define. PropertyType is no longer considered to be an owning type. The SQL type of a Property object is now recorded in the SQLType= attribute of the Property object. Use PropertyType when the SQL type is set to other, 1111, or array, 2003 and more detail is needed to describe the type.
  See Also:
    - Constant Field Values

- ### PROTOTYPE

  static final String PROTOTYPE
  Model description of the metadata type: Used to create a template for creating other metadata objects or set of metadata objects that represent a concept. Any metadata type may be associated with a prototype. The prototype includes all possible valid options or properties that may be used to describe the metadata object that is represented by the prototype. The prototype may then be used to drive a UI that will aid an end user in the creation of metadata. The model allows for any metadata type to be considered a prototype, however, there is currently no defined way to specify that the given metadata object is a prototype that does not represent a particular entity. It is recommended that only metadata types that have a role attribute be considered candidates for defining new prototypes. The role attribute is typically used by clients to filter the metadata before displaying to end users.
  See Also:
    - Constant Field Values

- ### PROTOTYPEPROPERTY

  static final String PROTOTYPEPROPERTY
  Model description of the metadata type: This is the super type for types that define properties that are for prototype objects only. These are either AttributeProperty or AssociationProperty objects.
  See Also:
    - Constant Field Values

- ### PSCOLUMNLAYOUTCOMPONENT

  static final String PSCOLUMNLAYOUTCOMPONENT
  Model description of the metadata type: Provides the information needed to lay a PortalPage out in columns.
  See Also:
    - Constant Field Values

- ### PSLAYOUTCOMPONENT

  static final String PSLAYOUTCOMPONENT
  Model description of the metadata type: A UI element that designates how Portlets should be laid out on a PortalPage.
  See Also:
    - Constant Field Values

- ### PSPORTALPAGE

  static final String PSPORTALPAGE
  Model description of the metadata type: A PortalPage gathers and displays information in the Portal, and can be customized.
  See Also:
    - Constant Field Values

- ### PSPORTALPROFILE

  static final String PSPORTALPROFILE
  Model description of the metadata type: A SAS Information Delivery Portal user's portal information, which defines the basic functionality of the portal.
  See Also:
    - Constant Field Values

- ### PSPORTLET

  static final String PSPORTLET
  Model description of the metadata type: A Web component that is managed by a Web application and that is aggregated with other portlets to form a page within the application. Portlets can process requests from the user and generate dynamic content.
  See Also:
    - Constant Field Values

- ### QUERYCLAUSE

  static final String QUERYCLAUSE
  Model description of the metadata type: This abstract type represents types that are used to define the transformations that are performed. These include types that subset, group and order data.
  See Also:
    - Constant Field Values

- ### QUERYTABLE

  static final String QUERYTABLE
  Model description of the metadata type: Result set of a query.
  See Also:
    - Constant Field Values

- ### RELATIONALSCHEMA

  static final String RELATIONALSCHEMA
  Model description of the metadata type: The abstract type that acts as the supertype for any type that can contain table objects.
  See Also:
    - Constant Field Values

- ### RELATIONALTABLE

  static final String RELATIONALTABLE
  Model description of the metadata type: Represents a relational table, one that does not have a physical representation. If the table resides in a DBMS or file system, it should be represented by a PhysicalTable. If it is a transient table, one that has a physical representation but is temporary, it should be represented as a WorkTable.
  See Also:
    - Constant Field Values

- ### REPORT

  static final String REPORT
  Model description of the metadata type: Represents the result of data being transformed into a report. The report has an association to a physical location, such as a SAS catalog entry or file.
  See Also:
    - Constant Field Values

- ### RESPONSIBLEPARTY

  static final String RESPONSIBLEPARTY
  Model description of the metadata type: This metadata type associates a responsibility with an identity. Later, this ResponsibleParty object can be associated with one or more resources. A ResponsibleParty object must be created in the same SAS Metadata Repository as the Person or IdentityGroup object of the identity that it describes. New methods have been added to the SAS Open Metadata Interface that create and get ResponsibleParty objects in the appropriate repository, regardless of whether the requesting identity has WriteMetadata permission to that repository or not. For more information, see AddResponsibleParty and GetResponsibleParty in the SAS 9.2 Open Metadata Interface: Reference and Usage.

  ResponsibleParty objects

  - May be associated with only a single identity.
  - Are considered to be contained by the identity.
  - Are deleted when the associated identity is deleted.
  - May not be edited or extended after creation.
  - May have a SAS supplied or user-defined role.
  - Have the name of the associated identity.
  - Inherit security from its associated identity
  - Do not imply security based roles.
  - Are stored in the same repository as the identity object by default (Foundation).
  - Responsibility not Role should be used when options are presented to end-users. Role can imply security roles.
  See Also:
    - Constant Field Values

- ### ROLE

  static final String ROLE
  Model description of the metadata type: This object describes a role of of an object, and the context of the role.

  Defined contexts are:
  - ContentType
  - WA (abbreviation for SAS Data Integration Studio)
  - EM (abbreviation for SAS Enterprise Miner)

  - For ContentType, valid roles are BASE, NWAY, AGGREGATE, STARFACT, STARTDIM
  - For WA, valid roles are Source, Target
  - For EM, valid roles are Training

  The list of roles will be expanded, along with the list of contexts.

  See Also:
    - Constant Field Values

- ### ROOT

  static final String ROOT
  Model description of the metadata type: This is an abstract type that is the supertype for all of the other metadata types.
  See Also:
    - Constant Field Values

- ### ROWSELECTOR

  static final String ROWSELECTOR
  Model description of the metadata type: Used to document a SAS DATA step SELECT statement.
  See Also:
    - Constant Field Values

- ### SASCATALOG

  static final String SASCATALOG
  Model description of the metadata type: Represents a SAS file that stores many different kinds of information in smaller units called catalog entries. A single SAS catalog can contain several different types of catalog entries.
  See Also:
    - Constant Field Values

- ### SASCATALOGENTRY

  static final String SASCATALOGENTRY
  Model description of the metadata type: Represents a separate storage unit within a SAS catalog. Each entry has an entry type that identifies its purpose to SAS. Some catalog entries contain system information such as key definitions. Other catalog entries contain application information such as window definitions, help windows, formats, informats, macros, or graphics output.
  See Also:
    - Constant Field Values

- ### SASCLIENTCONNECTION

  static final String SASCLIENTCONNECTION
  Model description of the metadata type: Represents the information needed by SAS software to connect to other servers.
  See Also:
    - Constant Field Values

- ### SASFILEREF

  static final String SASFILEREF
  Model description of the metadata type: Represents a name temporarily assigned to an external file or to an aggregate storage location that identifies it to SAS. The associated ContentLocations (and this should be a single object except for concatenated files) represent the location used by the fileref.
  See Also:
    - Constant Field Values

- ### SASLIBRARY

  static final String SASLIBRARY
  Model description of the metadata type: Represents a SAS library. A SAS library is a collection of one or more SAS files that are recognized by SAS software and that are referenced and stored as a unit. Each file is a member of the library. SAS libraries are accessed with a LIBNAME statement. The LIBNAME statement specifies the data engine and any required or optional parameters for accessing the data source. The SASLibrary metadata type stores the LIBNAME statement arguments necessary to access a particular data source in a metadata repository.
  See Also:
    - Constant Field Values

- ### SASLICENSE

  static final String SASLICENSE
  Model description of the metadata type: Used to document the setinit information for SAS products.
  See Also:
    - Constant Field Values

- ### SASPASSWORD

  static final String SASPASSWORD
  Model description of the metadata type: Represents the storage of SAS passwords for SAS tables or connections. There will be one of these for each type of password associated with a file.
  See Also:
    - Constant Field Values

- ### SEARCH

  static final String SEARCH
  Model description of the metadata type: This object is used to store information for search definitions.
  See Also:
    - Constant Field Values

- ### SECONDARYTYPE

  static final String SECONDARYTYPE
  Model description of the metadata type: The SecondaryType subtypes are used along with the PrimaryType subtypes to create a logical metadata definition for an object. The SecondaryType subtypes provide supporting information in the logical metadata definition.

  SecondaryType subtypes may not reside in a folder and are contained, directly or indirectly, by a PrimaryType subtype. SecondaryType objects may not be shared between logical metadata definitions.

  See Also:
    - Constant Field Values

- ### SECUREDLIBRARY

  static final String SECUREDLIBRARY
  Model description of the metadata type: A SecuredLibrary object is created for a SAS physical library when it is bound to metadata with the AUTHLIB procedure of SAS. The location of the securedLibrary object is stored in the physical library such that the SAS system will not access the physical library without first establishing an authenticated identity and connection to the metadata server and obtaining the identity's data permissions for this object. These data permissions then determine what actions the SAS system will allow that identity to perform on the physical data. SecuredLibrary objects should not be created or manipulated by any code other than the AUTHLIB procedure as they will not be or will no longer be effective. The physical data will not be accessible if an existing SecuredLibrary object is modified by other means.
  See Also:
    - Constant Field Values

- ### SECUREDTABLE

  static final String SECUREDTABLE
  Model description of the metadata type: A SecuredTable object is created for a physical SAS data set when a data set with the same name is first created in a metadata-bound library. Subsequent data sets created with the same name will find and bind to an existing SecuredTable object under the SecuredLibrary object. The location of the SecuredTable object is stored in the physical SAS data set such that the SAS system will not access the SAS data set without first establishing an authenticated identity and connection to the metadata server and obtaining the identity's data permissions for this object. These data permissions then determine what actions the SAS system will allow that identity to perform on the physical data. SecuredTable objects should not be created or manipulated by any code other than the AUTHLIB procedure or the SAS I/O subsystem. The physical data will not be accessible if an existing SecuredTable object is modified by other means.
  See Also:
    - Constant Field Values

- ### SECURITYRULE

  static final String SECURITYRULE
  Model description of the metadata type: This is an abstract class from which other "SecurityRules" will derive. Security rules are used to tell the authorization facility the rules it should use when making authorization decisions.
  See Also:
    - Constant Field Values

- ### SECURITYRULESCHEME

  static final String SECURITYRULESCHEME
  Model description of the metadata type: This class is used to group SecurityRules into a unit. The rules in a scheme were generally created together and will most likely need to be deleted together. The SecurityScheme provides the common link needed to facilitate this functionality.
  See Also:
    - Constant Field Values

- ### SECURITYTYPECONTAINMENTRULE

  static final String SECURITYTYPECONTAINMENTRULE
  Model description of the metadata type: A SecurityTypeContainmentRule tells the authorization facility how to find parent objects for a particular metadata type. There may be more than one rule for any class.
  See Also:
    - Constant Field Values

- ### SELECT

  static final String SELECT
  Model description of the metadata type: Used to document an SQL select statement.
  See Also:
    - Constant Field Values

- ### SERVERCOMPONENT

  static final String SERVERCOMPONENT
  Model description of the metadata type: Represents servers and spawners.
  See Also:
    - Constant Field Values

- ### SERVERCONTEXT

  static final String SERVERCONTEXT
  Model description of the metadata type: Used to define an application context for non-homogeneous group servers.
  See Also:
    - Constant Field Values

- ### SERVICECOMPONENT

  static final String SERVICECOMPONENT
  Model description of the metadata type: Represents software that acts as a service.
  See Also:
    - Constant Field Values

- ### SERVICETYPE

  static final String SERVICETYPE
  Model description of the metadata type: The types of services available from a DeployedComponent. Examples of types are DBMS, FileSystem, OperatingSystem.
  See Also:
    - Constant Field Values

- ### SHAREDDIMENSION

  static final String SHAREDDIMENSION
  Model description of the metadata type: Shared dimension is contained by its schema and may be used by more than one cube. The shared dimension will be removed when the olap schema is removed. Security for the dimension is independent of the cubes that use the dimension.
  See Also:
    - Constant Field Values

- ### SOFTWARECOMPONENT

  static final String SOFTWARECOMPONENT
  Model description of the metadata type: Used to define an application hierarchy. The application hierarchy contains information sepcific to the application including configuration properties. An application would use the SoftwareComponent that represents the application as a starting place to navigate through the hierarchy that is made of Trees and Groups and their members.
  See Also:
    - Constant Field Values

- ### STEPPRECEDENCE

  static final String STEPPRECEDENCE
  Model description of the metadata type: The preceding and succeeding steps in a process.
  See Also:
    - Constant Field Values

- ### STREAM

  static final String STREAM
  Model description of the metadata type: Represents a stream of data. The protocol attribute describes the format of the data.
  See Also:
    - Constant Field Values

- ### SXLEMAP

  static final String SXLEMAP
  Model description of the metadata type: Root node for SXLE map definition.
  See Also:
    - Constant Field Values

- ### SYNCSTEP

  static final String SYNCSTEP
  Model description of the metadata type: The SyncStep is used to define a part of workflow. This step does not represent a process step, but instead a point of synchronization to help define complex flow algorithms. Valid roles for this type are: AND, OR, EVENTWAIT, or CASE

  An AND SyncStep would have multiple PredecessorDependencies that all must occur before the SuccessorDependencies are activated.

  An OR SyncStep would have multiple PredecessorDependencies. Any one of these would have to occur before the SuccessorDependencies are activated.

  An EVENTWAIT SyncStep is activated by TriggeringEvents.

  A CASE SyncStep signals the start of case logic.
  See Also:
    - Constant Field Values

- ### TABLECOLLECTION

  static final String TABLECOLLECTION
  Model description of the metadata type: A classifier that defines a set of tables that all share the same characteristics but that should be treated as one classifer for display purposes. It is often not known until the table definition is used how many physical representations will exist for a given definition.
  See Also:
    - Constant Field Values

- ### TARGET

  static final String TARGET
  Model description of the metadata type: Represents a variable whose values are known in one or more data sets that are available (in training data, for example) but whose values are unknown in one or more future data sets (in a score data set, for example). Data mining models use data from known variables to predict the values of target variables. Used by SAS Enterprise Miner.
  See Also:
    - Constant Field Values

- ### TCPIPCONNECTION

  static final String TCPIPCONNECTION
  Model description of the metadata type: Contains information for making a TCP/IP connection to a server.
  See Also:
    - Constant Field Values

- ### TESTCAT

  static final String TESTCAT
  Model description of the metadata type: This is a testing class that contains no required attributes or associations
  See Also:
    - Constant Field Values

- ### TESTFLEA

  static final String TESTFLEA
  Model description of the metadata type: Test0N
  See Also:
    - Constant Field Values

- ### TESTGRANDKITTEN

  static final String TESTGRANDKITTEN
  Model description of the metadata type:
  See Also:
    - Constant Field Values

- ### TESTKITTEN

  static final String TESTKITTEN
  Model description of the metadata type:
  See Also:
    - Constant Field Values

- ### TESTLEG

  static final String TESTLEG
  Model description of the metadata type: Test1N
  See Also:
    - Constant Field Values

- ### TESTMOUSE

  static final String TESTMOUSE
  Model description of the metadata type: Test01
  See Also:
    - Constant Field Values

- ### TESTREQATTRS

  static final String TESTREQATTRS
  Model description of the metadata type: This type introduces required attributes
  See Also:
    - Constant Field Values

- ### TESTROOT

  static final String TESTROOT
  Model description of the metadata type: This is a testing class that contains no required attributes or associations
  See Also:
    - Constant Field Values

- ### TEXT

  static final String TEXT
  Model description of the metadata type: The superclass for files, SAS catalog entries and text stored in the repository itself.
  See Also:
    - Constant Field Values

- ### TEXTSTORE

  static final String TEXTSTORE
  Model description of the metadata type: Represents storing text in the repository.
  See Also:
    - Constant Field Values

- ### TIMESTAMP

  static final String TIMESTAMP
  Model description of the metadata type: This object contains a timestamp and the role of the timestamp.
  See Also:
    - Constant Field Values

- ### TRANSFORMATION

  static final String TRANSFORMATION
  Model description of the metadata type: This type is used for generic transformations such as stored procedures.
  See Also:
    - Constant Field Values

- ### TRANSFORMATIONACTIVITY

  static final String TRANSFORMATIONACTIVITY
  Model description of the metadata type: TransformationActivity contains TransformationSteps.
  See Also:
    - Constant Field Values

- ### TRANSFORMATIONSTEP

  static final String TRANSFORMATIONSTEP
  Model description of the metadata type: TransformationStep contains mapping objects. They may be ordered using an association to StepPrecedence.
  See Also:
    - Constant Field Values

- ### TREE

  static final String TREE
  Model description of the metadata type: This type represents a tree that is the root node for a hierarchy of groups of metadata.
  See Also:
    - Constant Field Values

- ### TSNAMEOBJECT

  static final String TSNAMEOBJECT
  Model description of the metadata type: Table server name object.
  See Also:
    - Constant Field Values

- ### TSNAMESPACE

  static final String TSNAMESPACE
  Model description of the metadata type: Table server namespace.
  See Also:
    - Constant Field Values

- ### TYPEDEFINITION

  static final String TYPEDEFINITION
  Model description of the metadata type: Type definition is used to describe members of the SAS type dictionary. A type definition contains information used to describe a common or shared object type.

  The Notes association will include additional configuration information and a template describing the metadata structure of the common or shared object for objects that are persisted to metadata.

  See Also:
    - Constant Field Values

- ### UNIQUEKEY

  static final String UNIQUEKEY
  Model description of the metadata type: A representation of the unique and primary keys of a table. It is also associated with the columns in the table that comprise the key.
  See Also:
    - Constant Field Values

- ### UNITOFTIME

  static final String UNITOFTIME
  Model description of the metadata type: Unit of time.
  See Also:
    - Constant Field Values

- ### VARIABLE

  static final String VARIABLE
  Model description of the metadata type: Used to define substitution strings and the replacement values.
  See Also:
    - Constant Field Values

- ### WHERECLAUSE

  static final String WHERECLAUSE
  Model description of the metadata type: DEPRECATED: Represents a Where SQL Clause.
  See Also:
    - Constant Field Values

- ### WORKTABLE

  static final String WORKTABLE
  Model description of the metadata type: Represents a table that is created as part of running SAS code that is not intended to be persisted. Usually, these types of tables are in the WORK library.

  These are a separate type from PhysicalTable because they have a transient physical existence and are not persisted.
  See Also:
    - Constant Field Values

- ### XPATH

  static final String XPATH
  Model description of the metadata type: Used to describe an XPath location path.
  See Also:
    - Constant Field Values